using Quadarax.Foundation.Core.Data.Interface;

namespace BO.AppServer.Business
{
    public class HeaderPagingDto : PagingDto
    {
        public HeaderPagingDto(string page, string pageSize) : base()
        {
            if (int.TryParse(page, out var nPage))
                Page = nPage;

            if (int.TryParse(pageSize, out var nPageSize))
                PageSize = nPageSize;
            
            IsDisabled = nPageSize == 0;
        }
    }
}
